# Decred Ruby Explorer
Ruby wrapper for the popular [Decred] blockchain query API service. Developed to be used at [BitJá], the Brazilian cryptocurrency liquidity exchange.

## INSTALLATION

Add this line to your application's Gemfile:

```ruby
gem 'decred_ruby_explorer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install decred_ruby_explorer

## USAGE
Here's how to perform queries by block, address and transactions.

```ruby
# Get all transactions from a given block
explorer.block_full_txs '00000000000000000312d464517dac67b8e92c3a76d594daa8abfb2f03ac6144'

# Get all transactions involving a given address

explorer = DecredRubyExplorer::Api.new
explorer.address_full_txs 'Dso5XEY8AoYBtjDUTuxyExfYeqMv7vuZDsG'

# Get information about a specific transaction

explorer.tx_info '1eac92a05a4d9a954b3cf7d0cd235d81312d7b79d3373ffe217cecc6fa06f522'
```

## DEVELOPMENT

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org].

### CODE QUALITY

I prefer good code whenever possible, just like you. The [rubocop] tool is used in this project to ensure the code is well written:

```shell
$ rubocop lib/
```

### CONTRIBUTING

Bug reports and pull requests are welcome on GitHub at https://github.com/rodrigoalvesvieira/decred_ruby_explorer.

## AUTHORS

* Rodrigo Alves Vieira <rodrigo@bitja.com.br>

This project is based on BlockCypher's [ruby client].

## LICENSE

The gem is available as open source under the terms of the [MIT License].

[Decred]: https://www.decred.org/
[BitJá]: https://www.bitja.com.br/
[rubygems.org]: https://rubygems.org
[rubocop]: https://github.com/rubocop-hq/rubocop
[ruby client]: https://github.com/blockcypher/ruby-client
[MIT License]: https://opensource.org/licenses/MIT
 
